<template>
  <div>
    <textarea
      :class="componentClasses"
      :placeholder="placeholder"
      :disabled="disabled"
      :rows="rows"
      data-testid="inputTextarea"
      @input="$emit('input', $event.target.value)"
    >
    </textarea>
  </div>
</template>

<script>
export default {
  name: 'SaInputTextarea',
  props: {
    placeholder: {
      type: String,
      default: null
    },
    size: {
      type: String,
      default: 'regular'
    },
    rows: {
      type: Number,
      default: 4
    },
    disabled: {
      type: Boolean,
      default: false
    },
    inError: {
      type: Boolean,
      default: false
    }
  },
  computed: {
    componentClasses() {
      const classes = ['textarea', this.size]
      if (this.inError) {
        classes.push('error')
      }
      if (this.disabled) {
        classes.push('disabled')
      }
      return classes
    }
  }
}
</script>

<style lang="scss" scoped>
.textarea {
  line-height: $line-height-body;
}
</style>
